Bug 753643 - error: fd0 read error. at boot + delay (grub2)
error: fd0 read error. at boot + delay (grub2)
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: grub2 (Show other bugs)
16
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
: 755173 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-13 17:46 EST by Matthieu Araman
Modified: 2013-02-17 00:53 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-08 05:50:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthieu Araman 2011-11-13 17:46:39 EST
Description of problem:
when booting
Welcome to grub appear and then 
error: fd0 read error.
is printed twice with several seconds delay 
after a few more second, the classic grub menu appears


Version-Release number of selected component (if applicable):
fedora 16 + updates at 13nov (same with stock F16)

How reproducible:
always

Steps to Reproduce:
1.switch on pc
2.after bios, grub start
3.

Actual results:
delay and error messages above
  

Expected results:
go immediately to grub menu

Additional info:
using LVM + RAID1 + GPT
Comment 1 Matthieu Araman 2011-11-13 17:52:51 EST
Tried to run :
grub2-install --no-floppy /dev/sda
grub2-install --no-floppy /dev/sdb
which return ok.

reboot

still same pb.
delay is nearly 40 seconds.
Comment 2 Gilboa Davara 2011-11-15 15:57:26 EST
FYI,
In my case I solved the problem by disabling small-USB-drives-as-FDD in my Xeon workstation's BIOS.

- Gilboa
Comment 3 Mads Kiilerich 2011-11-17 16:45:59 EST
Did it work with previous grub versions?
Comment 4 Gilboa Davara 2011-11-17 17:31:24 EST
I didn't have these issues w/ grub 1; it's grub2 specific.

- Gilboa
Comment 5 Mads Kiilerich 2011-11-17 18:00:15 EST
Upstream grub2 maintainer sayz:
http://bugs.debian.org/cgi-bin/bugreport.cgi?msg=10;bug=550083

My interpretation:

The problem only shows up on systems where the bios claims there are floppys around and raid or lvm is used for booting.

The solution is to convince the bios to stop lying to grub.

A workaround might be implemented later.
Comment 6 Mads Kiilerich 2011-11-22 14:32:30 EST
*** Bug 755173 has been marked as a duplicate of this bug. ***
Comment 7 Andreas M. Kirchwitz 2012-02-02 19:03:52 EST
I have the same problem on a fresh Fedora 16 installation (32 bit, so it's not 64 bit specific).

The BIOS correctly says that a floppy drive exist. There's no floppy disk in it, of course. I can clearly hear that GRUB2 checks the floppy drive during the boot process (two times), and then it prints two warnings. When it finds no disk, it should simply continue to boot from harddisk instead of forcing the user to hit a key or waiting for a time-out.

Is there a way to keep GRUB2 from accessing the floppy drive at all? (grub-install --no-floppy doesn't seem to have any effect)
Comment 8 Mads Kiilerich 2012-04-16 18:02:16 EDT
Can you give f17 with the latest grub (2.00~beta2) a try?
Comment 9 Vladimir Serbinenko 2012-06-01 13:45:40 EDT
The 2.00 use lazy scanning and floppies are read only when the raid / LV wasn't found on regulare HDD so this should be fixed. Can you confirm?
Comment 10 Vasiliy Glazov 2012-08-16 02:04:26 EDT
I have the same problem in F17. What info you need to solve it?
Comment 11 Mads Kiilerich 2012-08-19 10:27:26 EDT
(In reply to comment #10)
> I have the same problem in F17. What info you need to solve it?

Please explain which symptoms you see (a screenshot / photo would be great) and what makes you sure that it is the same problem.

Please state which grub2 version you are using - and please make sure that you run something like
  grub2-install /dev/sda
  grub2-mkconfig -o /boot/grub2/grub.cfg
before testing.
Comment 12 Mads Kiilerich 2012-11-08 05:50:22 EST
The requested information haven't been provided. Closing the assuming, assuming the problem has been solved in the current release.
Comment 13 Egon Kastelijn 2013-02-17 00:53:43 EST
FYI: 
I had the same problem with Grub2 after a fresh Fedora 18 installation with software RAID.
Grub2 checked the floppy-drive (which was not connected), gave an "Error reading sector xxx" and dumped my into a Grub2 rescue shell.
I also tried the --no-floppy, but that didn't have any effect.
Sadly, the BIOS did not give me an option to disable the floppy-drive.

-> I solved it by physically reconnecting a floppy-drive.
   
My motherboard is an ASUS P5K.


kind regards,

   Egon

Note You need to log in before you can comment on or make changes to this bug.